View Issue Details

IDProjectCategoryView StatusLast Update
0001220bareos-core[All Projects] storage daemonpublic2020-04-16 19:28
ReporterfrankAssigned Tofrank 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version19.2.6 
Fixed in Version 
Summary0001220: default drive index not set to 0
Description02-Apr 14:29 bareos-sd JobId 14: 3304 Issuing autochanger "load slot 1,
drive 65535" command.
02-Apr 14:29 bareos-sd JobId 14: Fatal error: 3992 Bad autochanger "load
slot 1, drive 65535": ERR=Child exited with code 1.
Steps To ReproduceIf you do not set the DriveIndex directive in your tape drive device resource, the default value of the DriveIndex is not applied and set to 0, instead it has the maximum value 65535.

# default:0, only required if the autoloader have multiple drives.
#DriveIndex = 0

If you set the DriveIndex explicitly in your Device Resource it works fine.

# default:0, only required if the autoloader have multiple drives.
DriveIndex = 0
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001187 closedarogge_adm Release Bareos 19.2.7 

Activities

frank

frank

2020-04-03 14:22

manager   ~0003925

Fix committed to bareos bareos-19.2 branch with changesetid 13191.

Related Changesets

bareos: master e8a4e863

2020-04-02 18:27:03

frank

Ported: N/A

Details Diff
core: fix default drive and drive index value

The default drive and drive index value should be set to 0 instead
of -1 in the DeviceResource constructor.

Fixes 0001220: default drive index not set to 0
Affected Issues
0001220
mod - core/src/stored/device_resource.cc Diff File

bareos: bareos-19.2 60e7731c

2020-04-02 18:27:03

frank

Ported: N/A

Details Diff
core: fix default drive and drive index value

The default drive and drive index value should be set to 0 instead
of -1 in the DeviceResource constructor.

Fixes 0001220: default drive index not set to 0
Affected Issues
0001220
mod - core/src/stored/device_resource.cc Diff File

Issue History

Date Modified Username Field Change
2020-04-03 13:21 frank New Issue
2020-04-03 14:19 frank Assigned To => frank
2020-04-03 14:19 frank Status new => assigned
2020-04-03 14:22 frank Changeset attached => bareos master e8a4e863
2020-04-03 14:22 frank Changeset attached => bareos bareos-19.2 60e7731c
2020-04-03 14:22 frank Note Added: 0003925
2020-04-03 14:22 frank Status assigned => resolved
2020-04-03 14:22 frank Resolution open => fixed
2020-04-06 14:21 arogge Relationship added related to 0001187
2020-04-16 19:28 arogge Status resolved => closed